#ifndef XEDITFIELDDEFINITION_H
#define XEDITFIELDDEFINITION_H

#include "xasset.h"

class XEditFieldDefinition : public XAsset
{
public:
    XEditFieldDefinition();

    float GetMinVal() const;
    void SetMinVal(float aMinVal);

    float GetMaxVal() const;
    void SetMaxVal(float aMaxVal);

    float GetDefVal() const;
    void SetDefVal(float aDefVal);

    float GetRange() const;
    void SetRange(float aRange);

    int GetMaxChars() const;
    void SetMaxChars(int aMaxChars);

    int GetMaxCharsGotoNext() const;
    void SetMaxCharsGotoNext(int aMaxCharsGotoNext);

    int GetMaxPaintChars() const;
    void SetMaxPaintChars(int aMaxPaintChars);

    int GetPaintOffset() const;
    void SetPaintOffset(int aPaintOffset);

    virtual void ParseData(QDataStream* aStream);
    virtual void Clear();

private:
    float mMinVal;
    float mMaxVal;
    float mDefVal;
    float mRange;
    int mMaxChars;
    int mMaxCharsGotoNext;
    int mMaxPaintChars;
    int mPaintOffset;
};

#endif // XEDITFIELDDEFINITION_H
